Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable.memory
Class JMXMemoryMonitor

    java.lang.Object
      org.jini.rio.qos.measurable.memory.JMXMemoryMonitor

All Implemented Interfaces:
  MeasurableMonitor

    public class JMXMemoryMonitor

extends Object
implements MeasurableMonitor

The `JMXMemoryMonitor` object provides feedback information to the `Memory` object, providing memory usage information obtained using JMX

Constructor Summary
`JMXMemoryMonitor()`

Method Summary
`double` | `getValue()` Get the used memory The returned value is the used memory
`double[]` | `getValues()` Get the used and total memory The returned array will have as its first element the used memory, and the second element the total memory
`void` | `terminate()` Terminate any collection mechanisms

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXMemoryMonitor

    public JMXMemoryMonitor()

Method Detail

### terminate

    public void terminate()

  Description copied from interface: `MeasurableMonitor`
  Terminate any collection mechanisms

  Specified by:
    `terminate` in interface `MeasurableMonitor`

### getValue

    public double getValue()

  Get the used memory The returned value is the used memory

  Specified by:
    `getValue` in interface `MeasurableMonitor`
  Returns:
    The value for the depletion oriented resource being measured
  See Also:
    `MeasurableMonitor.getValue()`

### getValues

    public double[] getValues()

  Get the used and total memory The returned array will have as its first element the used memory, and the second element the total memory

  Specified by:
    `getValues` in interface `MeasurableMonitor`
  Returns:
    Array of double values being measured for the depletion oriented resourc
  See Also:
    `MeasurableMonitor.getValues()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.